//# sourceURL=widgets/Button.js
/**
 * $Id: Button.js 304 2019-01-28 18:38:00Z patrick $
*/

import Widget from '../Widget.js';

var Button = function( elem ) {
    Widget.call( this, elem );
    this.name = "Button";
    this.layout = this.getData( 'layout', 'default' );

    $(this.elem).addClass("widget-button");
};

Button.prototype = Object.create(Widget.prototype);
Button.prototype.constructor = Button;

// ??? Handle 2-3-4-5 press, hold, release?

export default Button;
